cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Carlos Santana <csantan...@gmail.com>
Subject Re: [DISCUSS] Cordova-Ubuntu bug fix release (4.3.1)
Date Wed, 02 Dec 2015 03:38:30 GMT
David do we need to have the CB-9618 fix in cordova-lib before continuing
vote?
If that so, do you think you have PR ready soon to review and get into
master to be able to have a cli that support new ubuntu 4.3.1

On Tue, Dec 1, 2015 at 4:02 PM Steven Gill <stevengill97@gmail.com> wrote:

> Which raw api changes to cordova@5.3.x make it unusable with ubuntu? As
> far
> as I know, cordova-ubuntu should work the same with cordova@4.x and
> cordova@5.x. The platform API changes aren't necessary to work with
> cordova@5.x
>
> We probably won't do a update to cordova@4.x unless a security concern
> comes up.
>
> Good idea to improve CB-9590. We are hoping to get cordova@6 out next week
> sometime. If we can get the fixes in by then, great!
>
> Let me know how cordova-ubuntu@4.3.1 works with cordova-lib (master). If
> thinks look good, we should get you and one other person to vote on the
> vote thread for cordova-ubuntu so I can officially release it on npm.
>
> When making changes to cordova-lib, make sure to send them as PRs still so
> people can review them. Especially if the change can possible affect other
> platforms.
>
>
>
>
>
> On Tue, Dec 1, 2015 at 9:08 AM, David Barth <david.barth@canonical.com>
> wrote:
>
> > Re-doing a round of testing right now.
> >
> > But, to be frank that icon fix in cordova-lib is quite needed, otherwise
> > the icon "errors" make it unnecessarily complicated to prepare a project
> > for building. ie
> > https://github.com/cordova-ubuntu/cordova-lib/commits/CB-9618
> >
> > At the very least I wanted cordova-ubuntu-4.3.1 to be compatible with
> > cordova@4.3.1 and pin the 2 releases together if that's still possible.
> > Being fully compatible with the newest cordova@5.3.x is still on my todo
> > list, because of the raw api changes.
> >
> > I'll be improving
> > https://github.com/cordova-ubuntu/cordova-lib/commits/CB-9590 just next
> > based on the last PR comment.
> >
> > David
> >
> > On Tue, Dec 1, 2015 at 2:23 AM, Steven Gill <stevengill97@gmail.com>
> > wrote:
> >
> > > bump. Vote thread is going and needs two votes. David can you test it
> > with
> > > master cli and confirm it is all working?
> > >
> > > On Tue, Nov 24, 2015 at 5:31 PM, Steven Gill <stevengill97@gmail.com>
> > > wrote:
> > >
> > > > Starting the vote for this
> > > >
> > > > On Tue, Nov 17, 2015 at 9:31 AM, David Barth <
> > david.barth@canonical.com>
> > > > wrote:
> > > >
> > > >> Hey,
> > > >>
> > > >> I would like to update the 4.x series of cordova-ubuntu with a
> couple
> > of
> > > >> fixes, and make it the last in the series supporting the cordova-cli
> > > 4.3.1
> > > >> branch as well
> > > >>
> > > >>    - Cb 9868 - Should propose to install missing Ubuntu dependencies
> > on
> > > >>    platform add <
> > > https://github.com/cordova-ubuntu/cordova-ubuntu/pull/4>
> > > >>    - Cb 9694 - Add support for HTTP urls
> > > >>    <https://github.com/cordova-ubuntu/cordova-ubuntu/pull/3>
> > > >>    - Cb 9806 - Add icon to project defaults
> > > >>    <https://github.com/cordova-ubuntu/cordova-ubuntu/pull/2>
> > > >>
> > > >> So here is the traditional:
> > > >>
> > > >> Does anyone have any reason to delay a cordova-ubuntu platform
> > release?
> > > >> Any outstanding patches to land?
> > > >>
> > > >> If not, I will start the release tomorrow.
> > > >>
> > > >> David
> > > >>
> > > >
> > > >
> > >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message